import 'package:feelverapp/model/reviewshop/reviewshop_Model.dart';
import 'package:feelverapp/service/api.dart';
import 'package:feelverapp/service/base_presenter.dart';
import 'package:feelverapp/ui/review_shop/review_shop_page.dart';
import 'package:flutter/material.dart';


class ReviewshopPresenter extends BasePresenter<ReviewShopPage>{
  Api _api;
  final formkey = GlobalKey<FormState>();
  ReviewShopModel reviewShopModel;

  ReviewshopPresenter(State<ReviewShopPage> state) : super(state);


  Commentlist() async{
    _api = Api<ReviewShopModel>();
    var res = await _api.reviewshop({
      "id": "284",
    });
    if(res.fail == null){
      setState(() {
        reviewShopModel = res.success;
      });
    }else{
      print('res Fail');
    }
  }


}